#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N; cin>>N;
    int m=0;
    int br=1;
    vector <int>a;
    int b[N];
    vector <int>d;
    int c[N];
    int novoA[N];
    int K; cin>>K;
    int j=1, l=0;
    int k =0;
    int tmp;
    for (int i = 0; i < N; i++){
        cin>>tmp;
        a.push_back(tmp);
        d.push_back(tmp);
        b[i]=tmp;
    }
    sort(a.begin(), a.end());
    
    if(K%2==0){
        for(int i=0; i<K/2; i++){
            novoA[i]=a[i];
        }
        for(int i =K-1; i>K/2-1; i-- ){
            novoA[i]= a[N-br];
            br++;
        }
    }else{
        for(int i=0; i<K/2; i++){
            novoA[i]=a[i];
        }
        for(int i =K-1; i>=K/2; i-- ){
            novoA[i]= a[N-br];
            br++;
        }
    }

    k=0;
    for(int i=0;i<N;i++)
    {
        int f=0;
        for(int j=0;j<m;j++)
        if(novoA[i]==b[j])
        f=1;
        if(!f)
            c[k++]=novoA[i];

    }
    
    for(int i =0; i<N;i++){
        for(int q=0; q<N; q++){
            if(b[i] == c[q]){
                for(j=i; j<(N-1); j++)
                    b[j] = b[j+1];
                i--;
                N--;
                k++;
            }
        }
        
    }
    int q=0;
    
    for(q=0; q<N; q++){
        remove(d.begin(),d.end(),b[q]);
    }    

    
    j=1;
    l=0;
    k=0;
    for(int i=0;i<K-1;i++){
            if(d[k]>0){
                d[k]= d[k]- d[K-j+l];
                j++;
                
            }else if(d[k] < 0 ){

                d[K-j+l]= d[K-j+l] + abs(d[k]);

                k++;
                j++;
                l++;
            }
    }
    cout<<abs(d[k]);
}